package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.BaAhuInfo;
import com.usky.dm.service.BaAhuInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * ba 空调机组
 * @author ya
 * @since 2022-05-25
 */
@RestController
@RequestMapping("/baAhuInfo")
public class BaAhuInfoController {


    @Autowired
    private BaAhuInfoService baAhuInfoService;

    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<BaAhuInfo>> page(@RequestParam Integer current,
                                                 @RequestParam Integer size,
                                                 @RequestParam(required = false) Date startTime,
                                                 @RequestParam(required = false) Date endTime){
        return ApiResult.success(baAhuInfoService.list(current, size, startTime, endTime));
    }
}

