package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.Building;
import com.usky.dm.service.BuildingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 建筑
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/building")
public class BuildingController {


    @Autowired
    private BuildingService buildingService;
    /**
     * 新增记录
     * @param building
     * @return
     */
    @PostMapping
    public ApiResult<Boolean> add(@RequestBody Building building){
        return ApiResult.success(buildingService.add(building));
    }

    /**
     * 修改记录
     * @return
     */
    @PutMapping
    public ApiResult<Boolean> update(@RequestBody Building building){
        return ApiResult.success(buildingService.update(building));
    }

    /**
     * 删除记录
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public ApiResult<Boolean> delete(@PathVariable("id") Long id){
        return ApiResult.success(buildingService.delete(id));
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @return
     */
    @GetMapping("list")
    public ApiResult<CommonPage<Building>> page(@RequestParam Integer current,
                                                @RequestParam Integer size,
                                                @RequestParam(required = false) String name){
        return ApiResult.success(buildingService.page(current,size,name));
    }
}

