package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.DevopsTeam;
import com.usky.dm.service.DevopsTeamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 班组团队
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/devopsTeam")
public class DevopsTeamController {


    @Autowired
    private DevopsTeamService devopsTeamService;




    /**
     * 新增记录
     * @param devopsTeam
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody DevopsTeam devopsTeam){
        devopsTeamService.add(devopsTeam);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody DevopsTeam devopsTeam)
    {
        devopsTeamService.update(devopsTeam);
        return ApiResult.success();
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @param userName 负责人
     * @return
     */
    @GetMapping("/list")
    public ApiResult<CommonPage<DevopsTeam>> list(@RequestParam Integer current,
                                                  @RequestParam Integer size,
                                                  @RequestParam(required = false) String name,
                                                  @RequestParam(required = false) String userName)
    {
        return ApiResult.success(devopsTeamService.list(current,size,name,userName));
    }


    /**
     * 删除记录
     */
    @DeleteMapping("/{id}")
    public ApiResult<Void> remove(@PathVariable("id") Integer id)
    {
        devopsTeamService.remove(id);
        return ApiResult.success();
    }
}

