package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.dm.domain.DevopsTeamRelation;
import com.usky.dm.service.DevopsTeamRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 团队-人员
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/devopsTeamRelation")
public class DevopsTeamRelationController {


    @Autowired
    private DevopsTeamRelationService devopsTeamRelationService;

    /**
     * 记录查询
     * @param teamId 团队编号
     * @return
     */
    @GetMapping("/list")
    public ApiResult<List<DevopsTeamRelation>> list(@RequestParam Integer teamId)
    {
        return ApiResult.success(devopsTeamRelationService.list(teamId));
    }
}

