package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.MaintianLog;
import com.usky.dm.domain.WorkOrder;
import com.usky.dm.mapper.vo.MaintianLogRequest;
import com.usky.dm.service.MaintianLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 维保记录
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/maintianLog")
public class MaintianLogController {


    @Autowired
    private MaintianLogService maintianLogService;


    /**
     * 新增记录
     * @param maintianLog
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody MaintianLog maintianLog){
        maintianLogService.add(maintianLog);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody MaintianLog maintianLog)
    {
        maintianLogService.update(maintianLog);
        return ApiResult.success();
    }


    /**
     * 记录查询
     * @param maintianLogRequest
     * @return
     */
    @PostMapping("/list")
    public ApiResult<CommonPage<MaintianLog>> list(@RequestBody MaintianLogRequest maintianLogRequest)
    {
        return ApiResult.success(maintianLogService.list(maintianLogRequest));
    }

    /**
     * 处理告警
     * @param workOrder
     * @return
     */
    @PutMapping("/checkWorkOrder")
    public ApiResult<Void> checkAlert(@RequestBody WorkOrder workOrder){
        maintianLogService.checkWorkOrder(workOrder);
        return ApiResult.success();
    }
}

