package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.MaintianPlan;
import com.usky.dm.service.MaintianPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 维保计划
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/maintianPlan")
public class MaintianPlanController {

    @Autowired
    private MaintianPlanService maintianPlanService;


    /**
     * 新增记录
     * @param maintianPlan
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody MaintianPlan maintianPlan){
        maintianPlanService.add(maintianPlan);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody MaintianPlan maintianPlan)
    {
        maintianPlanService.update(maintianPlan);
        return ApiResult.success();
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @param dutyId 责任人
     * @return
     */
    @GetMapping("/list")
    public ApiResult<CommonPage<MaintianPlan>> list(@RequestParam Integer current,
                                                    @RequestParam Integer size,
                                                    @RequestParam(required = false) String name,
                                                    @RequestParam(required = false) Integer dutyId)
    {
        return ApiResult.success(maintianPlanService.list(current,size,name,dutyId));
    }


    /**
     * 导出记录
     * @param name 名称
     * @param dutyId 地址
     * @return
     */
    @GetMapping("/export")
    public ApiResult<String> export(@RequestParam(required = false) String name,
                                    @RequestParam(required = false) Integer dutyId){
        return ApiResult.success(maintianPlanService.export(name,dutyId));
    }


    /**
     * 删除记录
     */
    @DeleteMapping("/{id}")
    public ApiResult<Void> remove(@PathVariable("id") Integer id)
    {
        maintianPlanService.remove(id);
        return ApiResult.success();
    }

}

