package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.dm.domain.MonitorDevice;
import com.usky.dm.service.MonitorDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 监测点位-设备关联
 *
 * @author ya
 * @since 2022-02-23
 */
@RestController
@RequestMapping("/monitorDevice")
public class MonitorDeviceController {


    @Autowired
    private MonitorDeviceService monitorDeviceService;



    /**
     * 分页记录
     * @param pointId 点位id
     * @return
     */
    @GetMapping("/list")
    public ApiResult<List<MonitorDevice>> list(@RequestParam Integer pointId)
    {
        return ApiResult.success(monitorDeviceService.list(pointId));
    }

}

