package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.MonitorPoint;
import com.usky.dm.service.MonitorPointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * 监测点位
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/monitorPoint")
public class MonitorPointController {

    @Autowired
    private MonitorPointService monitorPointService;



    /**
     * 新增记录
     * @param monitorPoint
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody MonitorPoint monitorPoint){
        monitorPointService.add(monitorPoint);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody MonitorPoint monitorPoint)
    {
        monitorPointService.update(monitorPoint);
        return ApiResult.success();
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/list")
    public ApiResult<CommonPage<MonitorPoint>> list(@RequestParam Integer current,
                                                    @RequestParam Integer size,
                                                    @RequestParam(required = false) String name,
                                                    @RequestParam(required = false)Date startTime,
                                                    @RequestParam(required = false)Date endTime)
    {
        return ApiResult.success(monitorPointService.list(current,size,name,startTime,endTime));
    }


    /**
     * 导出记录
     * @param name 名称
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/export")
    public ApiResult<String> export(String name,Date startTime,Date endTime){
        return ApiResult.success(monitorPointService.export(name,startTime,endTime));
    }


    /**
     * 删除记录
     */
    @DeleteMapping("/{id}")
    public ApiResult<Void> remove(@PathVariable("id") Integer id)
    {
        monitorPointService.remove(id);
        return ApiResult.success();
    }
}

