package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.PlanChild;
import com.usky.dm.mapper.vo.MaintianLogRequest;
import com.usky.dm.service.PlanChildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * 维保计划子表
 *
 * @author ya
 * @since 2022-02-22
 */
@RestController
@RequestMapping("/planChild")
public class PlanChildController {

    @Autowired
    private PlanChildService planChildService;

    /**
     * 记录查询
     * @param maintianLogRequest
     * @return
     */
    @PostMapping("/list")
    public ApiResult<CommonPage<PlanChild>> list(@RequestBody MaintianLogRequest maintianLogRequest)
    {
        return ApiResult.success(planChildService.list(maintianLogRequest));
    }


    /**
     * 汇总
     * @return
     */
    @GetMapping("/collect")
    public ApiResult<Map<String,Object>> getCollect(){
        return ApiResult.success(planChildService.getCollect());
    }

    /**
     * 导出
     * @param maintianLogRequest
     * @return
     */
    @PostMapping("/export")
    public ApiResult<String> export(@RequestBody MaintianLogRequest maintianLogRequest)
    {
        return ApiResult.success(planChildService.export(maintianLogRequest));
    }
}

