package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.dm.domain.PlanPath;
import com.usky.dm.service.PlanPathService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 巡更路线
 * @author ya
 * @since 2022-04-25
 */
@RestController
@RequestMapping("/planPath")
public class PlanPathController {


    @Autowired
    private PlanPathService planPathService;


    /**
     * 新增记录
     * @param planPath
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody PlanPath planPath){
        planPathService.add(planPath);
        return ApiResult.success();
    }

    /**
     * 修改记录
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody PlanPath planPath)
    {
        planPathService.update(planPath);
        return ApiResult.success();
    }

    /**
     * 记录查询
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @return
     */
    @GetMapping("/list")
    public ApiResult<CommonPage<PlanPath>> list(@RequestParam Integer current,
                                                @RequestParam Integer size,
                                                @RequestParam(required = false) String name)
    {
        return ApiResult.success(planPathService.list(current,size,name));
    }


    /**
     * 删除记录
     */
    @DeleteMapping("/{id}")
    public ApiResult<Void> remove(@PathVariable("id") Long id)
    {
        planPathService.remove(id);
        return ApiResult.success();
    }
}

