package com.usky.dm.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.dm.domain.TbDeviceStatus;
import com.usky.dm.mapper.vo.AlertRequest;
import com.usky.dm.service.TbDeviceStatusService;
import com.usky.dm.service.vo.AlertCheckVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 离线-故障数据
 *
 * @author ya
 * @since 2022-03-14
 */
@RestController
@RequestMapping("/tbDeviceStatus")
public class TbDeviceStatusController {


    @Autowired
    private TbDeviceStatusService tbDeviceStatusService;




    /**
     * 告警统计
     * @param alertRequest
     * @return
     */
    @PostMapping("collect")
    public ApiResult<AlertCheckVO> getCollect(@RequestBody AlertRequest alertRequest){
        return ApiResult.success(tbDeviceStatusService.selectCollect(alertRequest));
    }

    /**
     * 记录查询
     * @param alertRequest
     * @return
     */
    @PostMapping("page")
    public ApiResult<CommonPage<TbDeviceStatus>> page(@RequestBody AlertRequest alertRequest){
        return ApiResult.success(tbDeviceStatusService.page(alertRequest));
    }

    /**
     * 导出记录
     * @param alertRequest
     * @return
     */
    @PostMapping("export")
    public ApiResult<String> export(@RequestBody AlertRequest alertRequest){
        return ApiResult.success(tbDeviceStatusService.export(alertRequest));
    }

    /**
     * 图表汇总
     * @param  alertRequest
     * @return
     */
    @PostMapping("collectIco")
    public ApiResult<List<Map<String,Object>>> getCollectIco(@RequestBody AlertRequest alertRequest){
        return ApiResult.success(tbDeviceStatusService.getCollectIco(alertRequest));
    }

    /**
     * 图表汇总详情
     * @param alertRequest
     * @return
     */
    @PostMapping("collectIcoDetail")
    public ApiResult<List<Map<String,Object>>> getCollectIcoDetail(@RequestBody AlertRequest alertRequest){
        return ApiResult.success(tbDeviceStatusService.getCollectIcoDetail(alertRequest));
    }

    /**
     * 修改记录
     * @param tbDeviceStatus
     * @return
     */
    @PutMapping
    public ApiResult<Boolean> update(@RequestBody TbDeviceStatus tbDeviceStatus){
        tbDeviceStatus.setUpdateBy(SecurityUtils.getUsername());
        tbDeviceStatus.setUpdateTime(new Date());
        return ApiResult.success(tbDeviceStatusService.updateById(tbDeviceStatus));
    }
}

