package com.usky.dm.controller.web;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.tenant.core.aop.TenantIgnore;
import com.usky.dm.domain.Test;
import com.usky.dm.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-08-08
 */
@RestController
@RequestMapping("/test")
public class TestController {


    @Autowired
    private TestService testService;


    /**
     * 分页
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<Test>> page(){
        Page<Test> page = new Page<>(1, 10);
        LambdaQueryWrapper<Test> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(Test::getNameValue,1);
        page = testService.page(page,queryWrapper);
        return ApiResult.success(new CommonPage<>(page.getRecords(), page.getTotal(), page.getSize(), page.getCurrent()));
    }

    /**
     * list
     * @return
     */
    @TenantIgnore
    @GetMapping("/list")
    public ApiResult<List<Test>> list(){
        LambdaQueryWrapper<Test> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .eq(Test::getNameValue,1);
        return ApiResult.success(testService.list(queryWrapper));
    }

    /**
     * list mapper
     * @return
     */
    @GetMapping("/listMapper")
    public ApiResult<List<Test>> listMapper(){
        return ApiResult.success(testService.listMapper());
    }



    @GetMapping("/delete")
    public ApiResult<Void> delete(){
        LambdaQueryWrapper<Test> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(Test::getNameValue,"2");
        testService.remove(queryWrapper);
        return ApiResult.success();
    }



    @PostMapping()
    public void add(){
        Test test = new Test();
        test.setNameValue("1");
        test.setId(8L);

        testService.save(test);
    }


    @PutMapping()
    public void update(){
        Test test = new Test();
        test.setNameValue("1");
        test.setId(5L);
        testService.updateById(test);
    }


}

