package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 通信接口
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CommunicationApi implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 通信接口表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 通信接口名称
     */
    private String interfaceName;

    /**
     * 通信接口路径
     */
    private String interfaceRoute;

    /**
     * 通信接口参数
     */
    private String interfaceParameter;

    /**
     * 接口传输方式
     */
    private String interfaceTransmissionMode;

    /**
     * 接口说明
     */
    private String interfaceExplain;

    /**
     * 接口文档路径
     */
    private String interfaceFileRoute;

    /**
     * 接口所属商家
     */
    private String business;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 显示状态：0.不显示；1.显示;
     */
    private Integer eState;

    /**
     * 添加人
     */
    private String addPeople;

    /**
     * 添加时间
     */
    private Date addTime;


}
