package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 单位表
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Company implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单位编号
     */
    private String ownerId;

    /**
     * 单位名称
     */
    @NotBlank(message = "产品名称不能为空")
    @Size(min = 0, max = 100, message = "产品名称不能超过100个字符")
    private String ownerName;

    private String ownerAddress;

    private String ownerOffice;

    private String ownerMan;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 所属建筑id
     */
    private String buildingId;

    /**
     * 交通，办公，酒店旅馆,
     */
    private String xmlx;

    /**
     * rtmp协议地址
     */
    private String rtmp;

    /**
     * hls协议地址
     */
    private String hls;

    /**
     * 微信视频地址
     */
    private String h5;

    /**
     * 0已删除，1未删除 默认1
     */
    private String data1;

    private String data2;

    private String data3;

    /**
     * 联系人（责任人）
     */
    private String contacts;

    /**
     * 联系人手机号
     */
    private String contactsPhone;


}
