package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Device implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    @Size(min = 0, max = 40, message = "设备编号不能超过50个字符")
    private String ownerCode;

    /**
     * 设备名称
     */
    @Size(min = 0, max = 20, message = "设备名称不能超过50个字符")
    private String ownerName;

    /**
     * 安装位置
     */
    private String unitinfo;

    /**
     * 楼层
     */
    private String louyu;

    /**
     * sim卡
     */
    private String sim;

    /**
     * 维保时间
     */
    @TableField("maintainTime")
    private String maintainTime;

    /**
     * 对应方法
     */
    private Integer destAddress;

    /**
     * 省
     */
    private String addr1;

    /**
     * 市
     */
    private String addr2;

    /**
     * 区、县
     */
    private String addr3;

    /**
     * 地址
     */
    private String address;

    /**
     * 位置
     */
    private String posistion;

    /**
     * 安装时间
     */
    private Date installTime;

    /**
     * 安装人
     */
    private String installMan;

    /**
     * 1火系统  2水系统 3烟感系统 4消防栓，5液位 6rtu 7电气火灾 8防火门 9气体灭火 10人脸识别 16视频监控 128井盖 
     */
    private Integer dwtype;

    /**
     * 建筑id
     */
    private String ownerXh;

    /**
     * 间隔时间
     */
    @TableField("s_interval")
    private Integer nextTime;

    /**
     * 社区
     */
    private String community;

    /**
     * 所属单位
     */
    private String company;

    /**
     * 房间唯一编码
     */
    private String rtmp;

    /**
     * 设状态0删除1未删除 默认1
     */
    private String hls;

    private String html5;

    private String danwei;

    /**
     * 倍率
     */
    private String ownerBl;

    /**
     * 报告推送参数1
     */
    private Long pushParam1;

    /**
     * 报告推送参数2
     */
    private Long pushParam2;

    /**
     * 报告推送参数3
     */
    private Long pushParam3;

    /**
     * 报告推送参数4
     */
    private Long pushParam4;

    /**
     * 登录参数Json格式存储
     */
    private String loginParam;

    /**
     * 传输类型
     */
    private String transferType;

    /**
     * 设备状态(75:离 300:故 0:正)
     */
    @TableField(exist = false)
    private Integer deviceStatus;


    @TableField(exist = false)
    private String deviceType;


    @TableField(exist = false)
    private String companyName;

    /**
     * 建筑名称
     */
    @TableField(exist = false)
    private String buildingName;


}
