package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceChannel implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备监测对象通道表
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 通道名称
     */
    @NotBlank(message = "通道名称不能为空")
    @Size(min = 0, max = 100, message = "通道名称不能超过100个字符")
    private String passagewayName;

    /**
     * 类型为：1.用传（火系统） 2.水系统 3.烟感
     */
    private Integer dwtype;

    /**
     * dwtype为1通道类型：0.通信报警；1.主机报警；dwtype为2通道类型：1.状态；2.剩余电量；3.无线信号；4.水压/水位；dwtype为3通道类型：1.状态；2.剩余电量；3.无线信号；
     */
    private Integer passagewayType;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 状态：0.不显示;1.显示；
     */
    private Integer eState;

    /**
     * 添加人/创建人
     */
    private String addPeople;

    /**
     * 添加时间/创建时间
     */
    private Date addTime;

    @TableField(exist = false)
    private String companyName;


}
