package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceType implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备类型表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 类型名称
     */
    @NotBlank(message = "类型名称不能为空")
    @Size(min = 0, max = 50, message = "类型名称不能超过50个字符")
    private String typeName;

    /**
     * 类型值
     */
    @NotBlank(message = "类型值不能为空")
    @Size(min = 0, max = 50, message = "类型值不能超过50个字符")
    private String typeValue;

    /**
     * 传输方式：3.2G/4G/5G；1.NB-IOT；2.Lord-IOT;
     */
    @NotNull(message = "传输方式不能为空")
    private Integer transmissionModel;

    /**
     * 厂家
     */
    @Size(min = 0, max = 50, message = "厂家不能超过50个字符")
    private String business;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 状态：0.显示；1.不显示
     */
    private Boolean eState;

    /**
     * 添加人
     */
    private String addPeople;

    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 公司名称
      */
    @TableField(exist = false)
    private String companyName;
    /**
     * 传输方式
     */
    @TableField(exist = false)
    private String tm;


}
