package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 班组人员
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DevopsTeam implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 团队班组表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 团队/班组名称
     */
    private String teamName;

    /**
     * 状态：1显示；0不显示
     */
    private Integer eState;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 添加人
     */
    private String addPeople;

    /**
     * 添加时间
     */
    private Date addTime;


    @TableField(exist = false)
    private List<DevopsTeamRelation> userIds;

    @TableField(exist = false)
    private String companyName;

    @TableField(exist = false)
    private String dutyName;

    @TableField(exist = false)
    private String dutyPhone;
}
