package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 团队-人员
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DevopsTeamRelation implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 团队/班组关联人员表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 团队/班组主键ID
     */
    private Integer fid;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 标签：1.普通组员;2.责任人/队长
     */
    private Integer label;
    /**
     * 用户id
     */
    private Integer userId;

}
