package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 事件管理
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class EventManage implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 事件管理主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String eventName;

    /**
     * 事件类型：1.消防隐患；2.消防告警;3.设备设施
     */
    private Integer eventType;

    /**
     * 报告内容
     */
    private String eventContent;

    /**
     * 上报时间
     */
    private Date reportingTime;

    /**
     * 状态：1.已处理; 0.未处理；
     */
    private Integer clzt;

    /**
     * 处理人
     */
    private String clPeople;

    /**
     * 处理内容
     */
    private String clContent;

    /**
     * 处理时间
     */
    private Date clTiem;

    /**
     * 单位编号
     */
    private String companyCode;
    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;


}
