package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 维保点位
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class InspectionPoint implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 点位名称
     */
    private String spotName;

    /**
     * 点位地址
     */
    private String spotAddress;

    /**
     * 巡检点标签解析：二维码解析
     */
    private String spotLabelAnalysis;

    /**
     * 巡检点标签路径：二维码图片储存路径
     */
    private String spotLabelRoute;

    /**
     * 点位图片路径
     */
    private String pictureRoute;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 最新改动时间
     */
    private Date latestChangeTime;

    /**
     * 设备编号
     */
    private String data1;

    /**
     * 状态：0.不显示；1.显示
     */
    private Boolean delFlag;

    /**
     * 留用
     */
    private String data3;

    /**
     * 备注
     */
    private String remarks;

    private Integer spotType;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;

}
