package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 维保记录
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintianLog implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划ID子表
     */
    private Integer zbId;

    /**
     * 巡检点ID
     */
    private Integer spotId;

    /**
     * 责任人ID
     */
    private Integer peopleId;

    /**
     * 点位状态：0正常，1异常，2故障，3其他
     */
    private Integer spotAbnormal;

    /**
     * 应完成时间
     */
    private Date ywcTime;

    /**
     * 完成时间
     */
    private Date wcTime;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 备注
     */
    private String dwsbRemarks;

    /**
     * 留用
     */
    private String data1;

    /**
     * 留用
     */
    private String data2;

    /**
     * 留用
     */
    private String data3;

    /**
     * 维保人、巡检人id
     */
    private Integer wbrId;

    private Integer recCount;

    /**
     * 维保人名称
     */
    private String wbUserName;

    /**
     * 是否处理
     */
    private Boolean isComplete;

    /**
     * 单位名称
      */
    @TableField(exist = false)
    private String companyName;

    /**
     * 计划名称
     */
    @TableField(exist = false)
    private String planName;

    /**
     * 团队名称
     */
    @TableField(exist = false)
    private String teamName;

    /**
     * 点位名称
     */
    @TableField(exist = false)
    private String pointName;


    /**
     * 线路名称
     */
    @TableField(exist = false)
    private String planPathName;

    /**
     * 责任人
     */
    @TableField(exist = false)
    private String dutyName;


    /**
     * 责任人联系方式
     */
    @TableField(exist = false)
    private String dutyPhone;


}
