package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;

/**
 * <p>
 * 维保计划
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintianPlan implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 计划名称:任务名称
     */
    private String planName;

    /**
     * 团队id
     */
    private Integer teamId;

    /**
     * 线路id
     */
    private Long planPathId;

    /**
     * 周期：星期一、星期二、星期三、星期四、星期五、星期六、星期日
     */
    private String cycle;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    /**
     * 开始巡检时间
     */
    private LocalTime startInspectTime;

    /**
     * 结束巡检时间
     */
    private LocalTime endInspectTime;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 用户名称
     */
    private String data1;

    /**
     * 留用
     */
    private String data2;

    /**
     * 是否删除
     */
    private String data3;

    /**
     * 团队名称
     */
    @TableField(exist = false)
    private String teamName;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;
    /**
     * 线路名称
     */
    @TableField(exist = false)
    private String planPathName;
}
