package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 监测点位
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MonitorPoint implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 监测对象配置表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 监测对象名称 
     */
    private String objectName;

    /**
     * 0显示1不显示
     */
    private Integer eState;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 添加人
     */
    private String addPeople;

    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 建筑
     */
    private String building;

    /**
     * 楼层
     */
    private String floor;
    /**
     * 房间
      */
    private String room;
    /**
     * 设备集合
     */
    @TableField(exist = false)
    private List<String> deviceList;

}
