package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 维保计划关联关系表
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanChild implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划主表id
     */
    private Integer zbId;

    /**
     * 团队id
     */
    private Integer teamId;

    /**
     * 路线编号
     */
    private Long planPathId;

    /**
     * 巡检点ID
     */
    private Integer spotId;

    /**
     * 巡检日期
     */
    private Date inspectDate;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    private String companyCode;

    /**
     * 完成情况
     */
    private String completion;

    /**
     * 留用
     */
    private String data1;

    /**
     * 留用
     */
    private String data2;

    /**
     * 留用
     */
    private String data3;

    private Boolean isComplete;


    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String companyName;

    /**
     * 计划名称
     */
    @TableField(exist = false)
    private String planName;

    /**
     * 团队名称
     */
    @TableField(exist = false)
    private String teamName;

    /**
     * 线路名称
     */
    @TableField(exist = false)
    private String planPathName;
}
