package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Room implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 楼层id
     */
    private String floorId;

    /**
     * 房间id uuid
     */
    private String roomId;

    /**
     * 房间名称
     */
    private String roomName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 添加时间
     */
    private LocalDateTime creatTime;

    /**
     * 添加人
     */
    private String creatMan;

    /**
     * 0 删除 1 未删除
     */
    private Integer status;

    /**
     * 房间名称
     */
    @TableField(exist = false)
    private String floorName;
    /**
     * 建筑名称
     */
    @TableField(exist = false)
    private String buildName;

    @TableField(exist = false)
    private Long buildId;

}
