package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备心跳表
 * </p>
 *
 * @author ya
 * @since 2022-03-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TbDeviceStatus implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备本地注册唯一编码
     */
    private String deviceId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 心跳时间
     */
    private Date alarmTime;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 心跳内容
     */
    private String alarmContent;

    /**
     * 心跳状态
     */
    private Integer alarmStatus;

    /**
     * 备注
     */
    private String remark;

    /**
     * 类型
     */
    private Integer alarmType;

    /**
     * 0未处理1已处理
     */
    private Integer checkStatus;

    /**
     * 处理时间
     */
    private Date updateTime;

    /**
     * 处理人
     */
    private String updateBy;



    /**
     * 单位名称
     */
    private String companyName;
    /**
     * 单位编码
     */
    private String companyCode;

    /**
     * 安装位置
     */
    private String unitInfo;

    /**
     * 设备类型
     */
    private Integer deviceType;
    /**
     * 设备类型名称
     */
    private String deviceTypeName;
}
