package com.usky.dm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 工单
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WorkOrder implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 工单管理表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工单名称                                                                                                  
     */
    private String workOrderName;

    /**
     * 内容
     */
    private String workOrderContent;

    /**
     * 工单类型(1消防告警，2巡检计划，3ba厕位故障)
     */
    private Integer workOrderType;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 添加人
     */
    private String addPeople;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     * 状态(0未处理1已处理:通过2已处理:未通过)
     */
    private Integer clzt;

    /**
     * 处置时间
     */
    private Date czTime;

    /**
     * 处置人
     */
    private String czPeople;

    /**
     * 处理内容
     */
    @Size(min = 0, max = 100, message = "处理内容不能超过255个字符")
    private String clnr;
    /**
     * 单位名称
     */
    private String companyName;
    /**
     * 业务标识
      */
    private String businessId;
    /**
     * 团队id
     */
    private Integer teamId;
    /**
     * 团队名称
      */
    @TableField(exist = false)
    private String teamName;

    /**
     * 责任人
     */
    @TableField(exist = false)
    private String dutyName;


    /**
     * 责任人联系方式
     */
    @TableField(exist = false)
    private String dutyPhone;


}
