package com.usky.dm.mapper.vo;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 *
 * @author yq
 * @date 2022/2/28 10:39
 */
@Data
public class AlertRequest {

    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 页数
     */
    @NotNull
    @Min(value = 1,message = "页数不能为0")
    private Integer current;
    /**
     * 条数
     */
    @NotNull
    @Max(value = 500,message = "条数不能超过500")
    private Integer size;

    /**
     * 1隐患2告警
     */
    private Integer type;

    /**
     * 单位编码
     */
    private String companyCode;

    /**
     * 设备状态
     */
    private Integer status;


    /**
     * 处理状态
     */
    private Integer checkStatus;
    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 1火系统 2 水系统 3rtu 4电气火灾 5 视频监控
     */
    private Integer bigDeviceType;

    /**
     * 设备分类
     */
    private List<Integer> deviceTypes;
    /**
     * 序号(1061火点侦测，1602占道侦测)
     */
    private String serial;
}
