package com.usky.dm.mapper.vo;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/3/28 9:33
 */
@Data
public class InfoRequest {


    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 页数
     */
    @NotNull
    @Min(value = 1,message = "页数不能为0")
    private Integer current;
    /**
     * 条数
     */
    @NotNull
    @Max(value = 500,message = "条数不能超过500")
    private Integer size;

    /**
     * 单位编码
     */
    private String companyCode;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 1火系统 2 水系统 3rtu 4电气火灾 5 视频监控
     */
    private Integer bigDeviceType;

    /**
     * 设备分类
     */
    private List<Integer> deviceTypes;

    private String pointCode;

    private List<String> pointCodes;

    /**
     * 0否1是
     */
    private Boolean isNew;


    private String deviceId;
}
