package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Device;
import com.usky.dm.mapper.vo.DeviceCollectVO;
import com.usky.dm.mapper.vo.DeviceRequestVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface DeviceService extends CrudService<Device> {


    boolean add(Device device);

    boolean update(Device device);

    Boolean checkNameUnique(Device device);


    CommonPage<Device> list(DeviceRequestVO deviceRequestVO);

    String export(DeviceRequestVO deviceRequestVO);

    boolean remove(Integer id);

    /**
     * 设备统计
     * @return
     */
    List<DeviceCollectVO> getCollect(Integer isLine);




}
