package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Floor;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface FloorService extends CrudService<Floor> {

    /**
     * 建筑新增
     * @param floor
     * @return
     */
    Boolean add(Floor floor);

    /**
     * 建筑修改
     * @return
     */
    Boolean update(Floor floor);


    Boolean checkNameUnique(Floor floor);

    /**
     * 删除
     * @param id
     * @return
     */
    Boolean delete(Long id);

    /**
     * 楼层查询
     * @param name 名称
     * @param buildName 建筑名称
     * @param buildId 建筑id
     * @param current 页数
     * @param size 条数
     * @return
     */
    CommonPage<Floor> page(String name, String buildName, Long buildId, Integer current, Integer size);
}
