package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.Room;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface RoomService extends CrudService<Room> {

    /**
     * 建筑新增
     * @param room
     * @return
     */
    Boolean add(Room room);

    /**
     * 建筑修改
     * @return
     */
    Boolean update(Room room);

    Boolean checkNameUnique(Room room);

    /**
     * 删除
     * @param id
     * @return
     */
    Boolean delete(Long id);

    /**
     * 建筑查询
     * @param name 名称
     * @param floorName 楼层名称
     * @param floorId 楼层id
     * @param current 页数
     * @param size 条数
     * @return
     */
    CommonPage<Room> page(String name, String floorName, Long floorId, Integer current, Integer size, String buildName);
}
