package com.usky.dm.service;


import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.dm.domain.WorkOrder;
import com.usky.dm.mapper.vo.WorkOrderRequest;
import com.usky.dm.service.vo.AlertCheckVO;

import java.util.function.Function;

/**
 * <p>
 * 工单 服务类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
public interface WorkOrderService extends CrudService<WorkOrder> {


    boolean add(WorkOrder workOrder);

    boolean update(WorkOrder workOrder);

    Boolean checkNameUnique(WorkOrder workOrder);

    CommonPage<WorkOrder> list(WorkOrderRequest workOrderRequest);


    AlertCheckVO getCollect();

    String export(WorkOrderRequest workOrderRequest);

    boolean remove(Integer id);

    /**
     * 生成工单
     * @param function
     */
    WorkOrder generateWorkerOrder(Function<WorkOrder, WorkOrder> function);

    /**
     * 查看工单详情
     * @param type 类型
     * @param businessId 业务编号
     * @return
     */
    WorkOrder oneByTypeAndBusiness(Integer type, String businessId);

    Boolean checkWorkOrder(WorkOrder workOrder, Function<WorkOrder, Boolean> function);

}
