package com.usky.dm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.dm.domain.BaJsjInfo;
import com.usky.dm.mapper.BaJsjInfoMapper;
import com.usky.dm.service.BaJsjInfoService;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-05-25
 */
@Service
public class BaJsjInfoServiceImpl extends AbstractCrudService<BaJsjInfoMapper, BaJsjInfo> implements BaJsjInfoService {

    @Override
    public CommonPage<BaJsjInfo> list(Integer current, Integer size, Date startTime, Date endTime) {
        IPage<BaJsjInfo> page = new Page<>(current,size);
        LambdaQueryWrapper<BaJsjInfo> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .between(null != startTime && null != endTime,BaJsjInfo::getCreateTime,startTime,endTime)
                .orderByDesc(BaJsjInfo::getId);
        page = this.page(page, queryWrapper);
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getSize(),page.getCurrent());
    }
}
