package com.usky.dm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.exception.BusinessException;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.dm.domain.MonitorDevice;
import com.usky.dm.domain.MonitorPoint;
import com.usky.dm.mapper.MonitorDeviceMapper;
import com.usky.dm.service.MonitorDeviceService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-02-23
 */
@Service
public class MonitorDeviceServiceImpl extends AbstractCrudService<MonitorDeviceMapper, MonitorDevice> implements MonitorDeviceService {

    @Override
    public void removeByTeamId(Integer pointId) {
        LambdaQueryWrapper<MonitorDevice> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(MonitorDevice::getFid,pointId);
        this.remove(queryWrapper);
    }

    @Override
    public void insertList(MonitorPoint monitorPoint) {
        if (CollectionUtils.isEmpty(monitorPoint.getDeviceList())){
            throw new BusinessException("设备列表不能为空");
        }
        for (String deviceCode:monitorPoint.getDeviceList()) {
            MonitorDevice monitorDevice = new MonitorDevice();
            monitorDevice.setFid(monitorPoint.getId());
            monitorDevice.setDeviceCode(deviceCode);
            this.save(monitorDevice);
        }
    }

    @Override
    public List<MonitorDevice> list(Integer pointId) {
        LambdaQueryWrapper<MonitorDevice> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(MonitorDevice::getFid,pointId);
        return this.list(queryWrapper);
    }
}
