package com.usky.dm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.core.exception.BusinessException;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.dm.domain.PlanPath;
import com.usky.dm.domain.PlanSpot;
import com.usky.dm.mapper.PlanSpotMapper;
import com.usky.dm.service.PlanSpotService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 维保计划-点位 关联 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-02-22
 */
@Service
public class PlanSpotServiceImpl extends AbstractCrudService<PlanSpotMapper, PlanSpot> implements PlanSpotService {

    @Override
    public void removeByPlanId(Integer pathId) {
        LambdaQueryWrapper<PlanSpot> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(PlanSpot::getZbId,pathId);
        this.remove(queryWrapper);
    }

    @Override
    public void insertList(PlanPath planPath) {
        if (CollectionUtils.isEmpty(planPath.getPointIds())){
            throw new BusinessException("点位信息不能为空");
        }
        for (Integer pointId:planPath.getPointIds()) {
            PlanSpot planSpot = new PlanSpot();
            planSpot.setZbId(planPath.getId().intValue());
            planSpot.setSpotId(pointId);
            this.save(planSpot);
        }
    }

    @Override
    public List<PlanSpot> list(Integer pathId) {
        LambdaQueryWrapper<PlanSpot> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(PlanSpot::getZbId,pathId);
        return this.list(queryWrapper);
    }
}
