package com.usky.dm.service.util;

import com.usky.dm.mapper.vo.DeviceCollectVO;
import com.usky.dm.service.enums.DeviceCollectCode;
import com.usky.dm.service.enums.DeviceTypeCode;
import com.usky.dm.service.vo.AlertCheckVO;

import java.util.ArrayList;
import java.util.List;
import static com.usky.dm.service.enums.DeviceCollectCode.*;



/**
 * @author yq
 * @date 2022/2/25 8:54
 */
public class AlertCheckUtil {


    public static AlertCheckVO check(List<DeviceCollectVO> list){
        int check = list.stream().filter(dv -> 1 == dv.getClzt()).mapToInt(DeviceCollectVO::getDeviceCount).sum();
        int noCheck = list.stream().filter(dv -> 0 == dv.getClzt()).mapToInt(DeviceCollectVO::getDeviceCount).sum();
        AlertCheckVO alertCheckVO = new AlertCheckVO();
        alertCheckVO.setCheckCount(check);
        alertCheckVO.setNoCheckCount(noCheck);
        alertCheckVO.setTotal(check+noCheck);
        alertCheckVO.setCheckRadio(0 == alertCheckVO.getTotal() ? 1 : Arith.div(check,alertCheckVO.getTotal(),4));
        return alertCheckVO;
    }


    public static Integer getCountByType(List<DeviceCollectVO> list, DeviceCollectCode deviceCollectCode){
        int number = 0;
        if (FIRE.equals(deviceCollectCode)){
            number = list.stream()
                    .filter(dv -> dv.getDeviceType().equals(DeviceTypeCode.FIRE.getCode()) || dv.getDeviceType().equals(DeviceTypeCode.YW.getCode()))
                    .mapToInt(DeviceCollectVO::getDeviceCount).sum();
        }else if (WATER.equals(deviceCollectCode)){
            number = list.stream()
                    .filter(dv -> dv.getDeviceType().equals(DeviceTypeCode.WATER.getCode()) || dv.getDeviceType().equals(DeviceTypeCode.FIRE_HYDRANT.getCode())
                            || dv.getDeviceType().equals(DeviceTypeCode.LIQUID_LEVEL.getCode()))
                    .mapToInt(DeviceCollectVO::getDeviceCount).sum();
        }else if (VIDEO.equals(deviceCollectCode)){
            number = list.stream()
                    .filter(dv -> dv.getDeviceType().equals(DeviceTypeCode.VIDEO.getCode()))
                    .mapToInt(DeviceCollectVO::getDeviceCount).sum();
        }else if (RTU.equals(deviceCollectCode)){
            number = list.stream()
                    .filter(dv -> dv.getDeviceType().equals(DeviceTypeCode.RTU.getCode()))
                    .mapToInt(DeviceCollectVO::getDeviceCount).sum();
        }else if (EP_FIRE.equals(deviceCollectCode)){
            number = list.stream()
                    .filter(dv -> dv.getDeviceType().equals(DeviceTypeCode.EP_FIRE.getCode()))
                    .mapToInt(DeviceCollectVO::getDeviceCount).sum();
        }
        return number;
    }


    public static List<Integer> getType(Integer type){
        List<Integer> list = new ArrayList<>();
        if (FIRE.getCode().equals(type)){
            list.add(DeviceTypeCode.FIRE.getCode());
            list.add(DeviceTypeCode.YW.getCode());
        }else if (WATER.getCode().equals(type)){
            list.add(DeviceTypeCode.WATER.getCode());
            list.add(DeviceTypeCode.FIRE_HYDRANT.getCode());
        }else if (VIDEO.getCode().equals(type)){
            list.add(DeviceTypeCode.VIDEO.getCode());
        }else if (RTU.getCode().equals(type)){
            list.add(DeviceTypeCode.RTU.getCode());
        }else if (EP_FIRE.getCode().equals(type)){
            list.add(DeviceTypeCode.EP_FIRE.getCode());
        }


        return list;
    }
}
