package com.usky.dm.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author yq
 * @date 2022/2/24 9:52
 */
@Data
public class FacilityExport {

    /**
     * 资产编号
     */
    @Excel(name = "资产编号", height = 6, width = 20)
    private String facilityNo;

    /**
     * 资产名称
     */
    @Excel(name = "资产名称", height = 6, width = 20)
    private String facilityName;

    /**
     * 资产类别
     */
    @Excel(name = "资产类别", height = 6, width = 20)
    private Integer facilityType;

    /**
     * 使用单位
     */
    @Excel(name = "使用单位", height = 6, width = 20)
    private String company;

    /**
     * 使用不部门
     */
    @Excel(name = "使用不部门", height = 6, width = 20)
    private String department;

    /**
     * 设备型号
     */
    @Excel(name = "设备型号", height = 6, width = 20)
    private String facilityModel;

    /**
     * 计量单位
     */
    @Excel(name = "计量单位", height = 6, width = 20)
    private String unit;

    /**
     * 负责人
     */
    @Excel(name = "负责人", height = 6, width = 20)
    private String man;

    /**
     * 购入方式
     */
    @Excel(name = "购入方式", height = 6, width = 20)
    private String purchase;

    /**
     * 数量
     */
    @Excel(name = "数量", height = 6, width = 20)
    private Long number;

    /**
     * 单价
     */
    @Excel(name = "单价", height = 6, width = 20)
    private BigDecimal price;

    /**
     * 存放地点
     */
    @Excel(name = "存放地点", height = 6, width = 20)
    private String addrs;

    /**
     * 供应商
     */
    @Excel(name = "供应商", height = 6, width = 20)
    private String supplier;

    /**
     * 入账日期
     */
    @Excel(name = "入账日期", height = 6, width = 20)
    private Date creatTime;

    /**
     * 购买日期
     */
    @Excel(name = "购买日期", height = 6, width = 20)
    private Date buyTime;

    /**
     * 采购编号
     */
    @Excel(name = "采购编号", height = 6, width = 20)
    private String buyNo;

    /**
     * 发票编号
     */
    @Excel(name = "发票编号", height = 6, width = 20)
    private String invoice;

    /**
     * 登记编号 uuid
     */
    @Excel(name = "登记编号 uuid", height = 6, width = 20)
    private String register;

    /**
     * 资产用途
     */
    @Excel(name = "资产用途", height = 6, width = 20)
    private String purpose;

    /**
     * 保修天数
     */
    @Excel(name = "保修天数", height = 6, width = 20)
    private Integer warranty;

    /**
     * 保修周期
     */
    @Excel(name = "保修周期", height = 6, width = 20)
    private Integer warrantyPeriod;

    /**
     * 已使用年限
     */
    @Excel(name = "已使用年限", height = 6, width = 20)
    private String usedData;

    /**
     * 删除状态 0 删除 1未删除
     */
    @Excel(name = "删除状态", height = 6, width = 20)
    private Integer status;

    /**
     * 二维码地址
     */
    @Excel(name = "二维码地址", height = 6, width = 20)
    private String qrurl;
}
